RectStdDev
Statistical Operations

Primitives for computing the stansdard deviation of the integral images. More...

## RectStdDev

NppStatus | nppiRectStdDev_32f_C1R (const Npp32f *pSrc, int nSrcStep, const Npp64f *pSqr, int nSqrStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppiRect oRect)
| One-channel 32-bit floating point image RectStdDev. More...
NppStatus | nppiRectStdDev_32s_C1RSfs (const Npp32s *pSrc, int nSrcStep, const Npp32s *pSqr, int nSqrStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppiRect oRect, int nScaleFactor)
| One-channel 32-bit signed image RectStdDev, scaled by . More...
NppStatus | nppiRectStdDev_32s32f_C1R (const Npp32s *pSrc, int nSrcStep, const Npp64f *pSqr, int nSqrStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppiRect oRect)
| One-channel 32-bit signed image RectStdDev. More...

## Detailed Description

Primitives for computing the stansdard deviation of the integral images.

The function computes the standard deviation of the pixel in the rectangular window with the integral image and the squared integral image , which can be obtained by calling Integral and SqrIntegral.

The standard deviation of the pixel can be computed using the formula:

where , , .

The size of the and should be

## Function Documentation

NppStatus nppiRectStdDev_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | const Npp64f * | pSqr,
|  | int | nSqrStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiRect | oRect
| ) |  |

One-channel 32-bit floating point image RectStdDev.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSqr | Destination-Image Pointer.
  nSqrStep | Destination-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  oRect | rectangular window

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRectStdDev_32s32f_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | const Npp64f * | pSqr,
|  | int | nSqrStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiRect | oRect
| ) |  |

One-channel 32-bit signed image RectStdDev.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSqr | Destination-Image Pointer.
  nSqrStep | Destination-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  oRect | rectangular window

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiRectStdDev_32s_C1RSfs | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | const Npp32s * | pSqr,
|  | int | nSqrStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiRect | oRect,
|  | int | nScaleFactor
| ) |  |

One-channel 32-bit signed image RectStdDev, scaled by .

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSqr | Destination-Image Pointer.
  nSqrStep | Destination-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  oRect | rectangular window
  nScaleFactor | Integer Result Scaling.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2017 NVIDIA Corporation